LDTBSEEK(3X)

NAME
ldtbseek - seek to the symbol table of a COFF file

SYNOPSIS
#include <stdio.h>
#include <filehdr.h>
#include <ldfcn.h>

int ldtbseek (ldptr)
LDFILE *ldptr;

AVAILABILITY

Available only on Sun 386i systems running a SunOS 4.0.x release or earlier. Not a SunOS 4.1 release feature.

DESCRIPTION

ldtbseek() seeks to the symbol table of the COFF file currently associated with ldptr.

ldtbseek() returns SUCCESS or FAILURE. ldtbseek() will fail if the symbol table has been stripped from the object file, or if it cannot seek to the symbol table.

The program must be loaded with the object file access routine library libld.a.

SEE ALSO
ldclose(3X), ldfcn(3), ldopen(3X), ldtbread(3X)